
degv=15:20;
lambda=40:5:300;

lebs_sequence=[];
feks_sequence=[];
conds_sequence=[];

lebs_index=[];
feks_index=[];
conds_index=[];

for kk=1:length(degv)

    deg=degv(kk);

    fprintf('\n \t >> DEGREE: %3.0f',deg);

    lebs_sequence_loc=[];
    feks_sequence_loc=[];
    conds_sequence_loc=[];
    errs_sequence_loc=[];

    for ii=1:length(lambda)
        pts_wam=disk_wam(lambda(ii));
        V_wam=koornwinder_typeII(deg,pts_wam,-0.5);
        [pts_fek,w_fek,ind,C,P]=computing_fekete_points(pts_wam,V_wam,...
            2,[],1);

        X=pts_fek(:,1); Y=pts_fek(:,2);
        [lebs,dets,conds,errs]=do_stats(deg,pts_fek,0,0);

        lebs_sequence_loc=[lebs_sequence_loc; lebs];
        feks_sequence_loc=[feks_sequence_loc; abs(dets)];
        conds_sequence_loc=[conds_sequence_loc; conds];
        errs_sequence_loc=[errs_sequence_loc; errs];

        fprintf('\n \t >> >> WAM DEG: %3.0f LEB: %1.2e FEK: %1.2e COND: %1.2e ERR: %1.0f',...
            lambda(ii),lebs,abs(dets),conds,errs);

    end

    errs_good=find(errs_sequence_loc == 0);

    lambda_good=lambda(errs_good);

    lebs_sequence_loc_good=lebs_sequence_loc(errs_good);
    feks_sequence_loc_good=feks_sequence_loc(errs_good);
    conds_sequence_loc_good=conds_sequence_loc(errs_good);

    [best_leb_value,best_leb_index]=min(lebs_sequence_loc_good);
    [best_fek_value,best_fek_index]=max(feks_sequence_loc_good);
    [best_cond_value,best_cond_index]=min(conds_sequence_loc_good);
    
    fprintf('\n \t >> >> >> BEST LEB: %1.2e DEG: %3.0f',...
        best_leb_value,best_leb_index);
    fprintf('\n \t >> >> >> BEST FEK: %1.2e DEG: %3.0f',...
        best_fek_value,best_fek_index);
        fprintf('\n \t >> >> >> BEST COND: %1.2e DEG: %3.0f',...
        best_cond_value,best_cond_index);

    lebs_sequence=[lebs_sequence; best_leb_value];
    feks_sequence=[feks_sequence; best_fek_value];
    conds_sequence=[conds_sequence; best_cond_value];

    lebs_index=[lebs_index; lambda_good(best_leb_index)];
    feks_index=[feks_index; lambda_good(best_fek_index)];
    conds_index=[conds_index; lambda_good(best_cond_index)];

end

fprintf('\n \t function pts=pts_afek(deg,family)');

fprintf('\n \t switch family');
fprintf('\n');
fprintf('\n \t case 1');
fprintf('\n \n \t switch deg');
for ii=1:length(degv)
    deg=degv(ii);
    lambda_leb=lebs_index(ii);
    pts_wam=disk_wam(lambda_leb);
    V_wam=koornwinder_typeII(deg,pts_wam,-0.5);
    [pts_fek,w_fek,ind,C,P]=computing_fekete_points(pts_wam,V_wam,...
        2,[],1);
    [lebs,dets,conds,errs]=do_stats(deg,pts_fek,0,1);
end
fprintf('\n \n \t end');
fprintf('\n');
fprintf('\n \t case 2');
fprintf('\n \n \t switch deg');
for ii=1:length(degv)
    deg=degv(ii);
    lambda_fek=feks_index(ii);
    pts_wam=disk_wam(lambda_fek);
    V_wam=koornwinder_typeII(deg,pts_wam,-0.5);
    [pts_fek,w_fek,ind,C,P]=computing_fekete_points(pts_wam,V_wam,...
        2,[],1);
    [lebs,dets,conds,errs]=do_stats(deg,pts_fek,0,1);
end
fprintf('\n \n \t end');
fprintf('\n');
fprintf('\n \t case 3');
fprintf('\n \n \t switch deg');
for ii=1:length(degv)
    deg=degv(ii);
    lambda_cond=conds_index(ii);
    pts_wam=disk_wam(lambda_cond);
    V_wam=koornwinder_typeII(deg,pts_wam,-0.5);
    [pts_fek,w_fek,ind,C,P]=computing_fekete_points(pts_wam,V_wam,...
        2,[],1);
    [lebs,dets,conds,errs]=do_stats(deg,pts_fek,0,1);
end
fprintf('\n \n \t end');
fprintf('\n \t end');

