
%--------------------------------------------------------------------------
% DEMO LEBESGUE CONSTANT.
%--------------------------------------------------------------------------

clear all;

vdeg=1:20;
example=1;

s='set_disk_fek'; % PUT THE NAME OF YOUR FUNCTION HERE (WITHOUT .m EXTENSION).

%--------------------------------------------------------------------------
% HERE THE MAIN PROGRAM STARTS.
%--------------------------------------------------------------------------


diaryname=cat(2,'diary_',s,'.m');

diary on; diary(diaryname);

fprintf('\n \t ');
uu=cat(2,'function [pts,stats_matrix]=',s,'(deg)');
fprintf(uu);

fprintf('\n \n \n \t switch deg \n')

for ii=1:length(vdeg)

    deg=vdeg(ii);

    %######################################################################
    % IMPORTANT: PUT YOUR SET HERE IF NEEDED!!!.
    %######################################################################

    switch example
        case 0 % YOUR FILE.
            pts=set_disk_leb(deg);
        case 1 % YOUR FILE.
            pts=set_disk_fek(deg);
        case 2 % YOUR FILE.
            pts=set_parms_fek(deg);
        case 3
            pts=set_afp_fek_disk(deg);
    end

    [lebloc,detloc,condloc,errloc]=do_stats(deg,pts);
    leb(ii)=lebloc;
    dets(ii)=abs(detloc);
    conds(ii,1)=condloc;
    errs(ii,1)=errloc;
end

fprintf('\n \t otherwise \n');

fprintf('\n \t pts_wam=disk_wam(deg);');
fprintf('\n \t V_wam= koornwinder_typeII(deg,pts_wam,-0.5);');
fprintf('\n \t [pts,w_disk,ind,C,P]=computing_fekete_points(...');
fprintf('\n \t pts_wam,V_wam,2,[],1);');

fprintf('\n \n \t end \n');

%-------------------------
% STATS.
%--------------------------
fprintf('\n \t %% STATS');
fprintf('\n \t %% |DEGR|  LEBESGUE   | ABS.DET.VAND.| COND. VAND. |')
fprintf('\n \t stats_matrix=[');
for ii=1:length(vdeg)

    fprintf('\n \t %2.0f %1.5e %1.5e %1.5e',vdeg(ii),leb(ii),...
        abs(dets(ii)),conds(ii,1));

end
fprintf('\n \t ]; \n');


%-----------------------
% FINAL SUMMARY.
%-----------------------

fprintf('\n \t %% ------------------------------------------------------ ');
fprintf('\n \t %% |DEGR|  LEBESGUE   | ABS.DET.VAND.| COND. VAND. | OK |')
fprintf('\n \t %% ------------------------------------------------------ ');

format short e
for ii=1:length(vdeg)
    fprintf('\n \t %% | %2.0f | %1.5e | %1.5e | %1.5e | %1.0f |',vdeg(ii),leb(ii),...
        abs(dets(ii)),conds(ii,1),errs(ii,1));
end
fprintf('\n \t %% ------------------------------------------------- \n \n');

diary off;

