
function [pts_out,x_out,value_new]=parm_iterative_step(deg,x_in,family_type,...
    value_new,mildness_vector,method_type_vett,patts)

if length(x_in) > 0
    pts_in=decoding_points(x_in,patts);
else
    pts_in=0;
end

if nargin < 5
    method_type_vett=4;
end

for ii=1:length(mildness_vector)

    mildness=mildness_vector(ii);

    for indice=1:length(method_type_vett)

        method_type=method_type_vett(indice);

        switch method_type

            case 1
                %  INTERIOR POINT.
                [pts_out,value]=general_constrained_optimization_disk(...
                    deg,pts_in,family_type,mildness,-1);

                %fprintf('\n \t   % [C][InPt] OLD: %2.5e NEW: %2.5e',...
                % value_new,value);


            case 2
                % ACTIVE SET.
                [pts_out,value]=general_constrained_optimization_disk(...
                    deg,pts_in,family_type,mildness,-2);


                %fprintf('\n \t %% [C][AcSt] OLD: %2.5e NEW:
                %%2.5e',value_new,value);

            case 3
                % TRUST REGION.
                [pts_out,value]=general_constrained_optimization_disk(...
                    deg,pts_in,family_type,mildness,-3);

                %fprintf('\n \t %% [C][TS] OLD: %2.5e NEW:
                %%2.5e',value_new,value);

            case 4

                % fminsearch.
                [pts_out,x_out,value]=parm_unconstrained_optimization_disk(...
                    deg,x_in,family_type,patts,mildness,0);

                % fprintf('\n \t %% [C][srch] OLD: %2.5e NEW:
                % %2.5e',value_new,value);

            case 5
                % BFGS.
                [pts_out,value]=general_unconstrained_optimization_disk(...
                    deg,pts_in,family_type,mildness,-1);
                %fprintf('\n \t %% [U][BFGS] OLD: %2.5e NEW: 2.5e',...
                % value_new,value);

            case 6
                % DFP.
                [pts_out,value]=general_unconstrained_optimization_disk(...
                    deg,pts_in,family_type,mildness,-2);

                %fprintf('\n \t %% [U][DFP ] OLD: %2.5e NEW: %2.5e',...
                % value_new,value);


            case 7
                % STDS.
                [pts_out,value]=general_unconstrained_optimization_disk(...
                    deg,pts_in,family_type,mildness,-3);

                pts_in=pts_out;
                %fprintf('\n \t %% [U][StDs] OLD: %2.5e NEW: %2.5e',...
                % value_new,value);

        end

        pts_in=pts_out;
        value_new=value;

    end

end
